This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 268681

Summary: Quickly clicking left/right button to switch through Output/Search Results/Usages tabs maximizes the TopComponent.
Product: platform Reporter: ebakke
Component: Window SystemAssignee: emi <emi>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P3    
Version: 8.2   
Hardware: Macintosh (x86)   
OS: Mac OS X   
Issue Type: DEFECT Exception Reporter:
Attachments: Screenshot showing the "left" button of the CloseButtonTabbedPane.
Proposed patch

Description ebakke 2016-10-25 21:47:34 UTC
Created attachment 162634 [details]
Screenshot showing the "left" button of the CloseButtonTabbedPane.

When a lot of tabs are shown in the Output, Search Results, or Usages panes, users can switch through visible and invisible tabs using designated "left" and "right" buttons. However, when the user tries to do this quickly, the clicks get interpreted as a double-click, which maximizes the entire TopComponent. See the attached screenshot.

Proposal: maximize the TopComponent only when actual tab buttons are double-clicked, not when the left- and right buttons are clicked.

The relevant code is in o.n.core.windows.view.ui.CloseButtonTabbedPane. I will upload a suggested patch shortly.
Comment 1 ebakke 2016-10-25 22:05:43 UTC
Created attachment 162635 [details]
Proposed patch

Proposed patch fixing this bug.

The existing lastIdx field is renamed to ongoingMiddleIdx just to distinguish it from the new field lastTwoIdx.
Comment 2 emi 2017-02-28 22:40:57 UTC
Patch reviewed, tested and committed: http://hg.netbeans.org/jet-main/rev/26ef8bb3a71a
Comment 3 Quality Engineering 2017-03-02 03:51:44 UTC
Integrated into 'main-silver', will be available in build *201703020002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/26ef8bb3a71a
User: Emilian Bold <emi@netbeans.org>
Log: #268681: Quickly clicking left/right button to switch through Output/Search Results/Usages tabs maximizes the TopComponent (thanks to Eirik Bakke)